Subject: NAND only (no NOR)

From: Norbert van Bolhuis <[email-masked]>
Date: Tue, 02 Dec 2008 09:55:24 +0100

Nowadays, do many (PowerPC) embedded devices already risk omitting
NOR flash and use a NAND device solely for booting and storing images ?

I'm talking about systems with 10 years life-cycle (so no
MP3-players nor medical systems but somewhere in between).

We have a MPC8313E-RDB and I know booting from NAND is
possible. U-boot seems to support it well, I assume it can read
the kernel, ramdisk and dtb from NAND in memory and bootm this.

However, having no NOR flash means:
  - NAND should be programmable via JTAG (BDI3000 doesn't support
    this, Lauterbach/trace32 does)
  - Critical software images (u-boot, kernel, dtb) stored on
    NAND, while there's no NAND 'scrubbing', etc..

Thoughts/comments are welcome.